<?php

// este script devuelve N ofertas de la categoria que se le pase

class shoopCliente{

var $result;
var $cliente;
var $isValid;

	function shoopCliente($user, $password){
		$conn = db_connect();
		if($conn) {
			$pass = crypt($password, strtoupper(substr($user,0,2)));
			$query = "SELECT cliente_id, cliente_nombre, cliente_direccion, cliente_codigopostal, cliente_localidad, cliente_provincia, cliente_telefono, cliente_fax, cliente_email
					 FROM shoop_clientes WHERE cliente_email = '" . $user . "' AND cliente_pwd = '" . $pass . "'";
			$this->result = mysql_query($query, $conn);
			$this->isValid = mysql_num_rows($this->result);
		}
	}
	
	function isValid() {
		return $this->isValid;
	}

	function getData() {
		$this->cliente = '';
		if($this->isValid) {
			$row = mysql_fetch_array($this->result);
			$this->cliente = array(	'id'=>$row['cliente_id'],
									'nombre'=>$row['cliente_nombre'],
									'direccion'=>$row['cliente_direccion'],
									'codigopostal'=>$row['cliente_codigopostal'],
									'localidad'=>$row['cliente_localidad'],
									'provincia'=>$row['cliente_provincia'],
									'telefono'=>$row['cliente_telefono'],
									'fax'=>$row['cliente_fax'],
									'email'=>$row['cliente_email']);
		}
		return $this->cliente;
	}
	
}
?>